Mailinglist Archive: opensuse-factory (378 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20191112 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Wed, 13 Nov 2019 19:02:03 +0000
  • Message-id: <157367172348.949.3834378583059112724@go-agent-stagingbot-3>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20191112

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
akonadi-calendar (19.08.2 -> 19.08.3)
akonadi-calendar-tools (19.08.2 -> 19.08.3)
akonadi-contact (19.08.2 -> 19.08.3)
akonadi-import-wizard (19.08.2 -> 19.08.3)
akonadi-mime (19.08.2 -> 19.08.3)
akonadi-notes (19.08.2 -> 19.08.3)
akonadi-search (19.08.2 -> 19.08.3)
akonadi-server (19.08.2 -> 19.08.3)
akregator (19.08.2 -> 19.08.3)
ark (19.08.2 -> 19.08.3)
attica-qt5 (5.63.0 -> 5.64.0)
baloo5 (5.63.0 -> 5.64.0)
baloo5-widgets (19.08.2 -> 19.08.3)
bluez-qt (5.63.0 -> 5.64.0)
breeze5-icons (5.63.0 -> 5.64.0)
calendarsupport (19.08.2 -> 19.08.3)
dolphin (19.08.2 -> 19.08.3)
dragonplayer (19.08.2 -> 19.08.3)
eventviews (19.08.2 -> 19.08.3)
frameworkintegration (5.63.0 -> 5.64.0)
gnome-weather
goffice (0.10.45 -> 0.10.46)
grantleetheme (19.08.2 -> 19.08.3)
gwenview5 (19.08.2 -> 19.08.3)
incidenceeditor (19.08.2 -> 19.08.3)
kaccounts-integration (19.08.2 -> 19.08.3)
kaccounts-providers (19.08.2 -> 19.08.3)
kactivities-stats (5.63.0 -> 5.64.0)
kactivities5 (5.63.0 -> 5.64.0)
kaddressbook (19.08.2 -> 19.08.3)
kalarmcal (19.08.2 -> 19.08.3)
kamera (19.08.2 -> 19.08.3)
karchive (5.63.0 -> 5.64.0)
kate (19.08.2 -> 19.08.3)
kauth (5.63.0 -> 5.64.0)
kbookmarks (5.63.0 -> 5.64.0)
kcalc (19.08.2 -> 19.08.3)
kcalendarcore (5.63.0 -> 5.64.0)
kcalutils (19.08.2 -> 19.08.3)
kcharselect (19.08.2 -> 19.08.3)
kcmutils (5.63.0 -> 5.64.0)
kcodecs (5.63.0 -> 5.64.0)
kcolorchooser (19.08.2 -> 19.08.3)
kcompletion (5.63.0 -> 5.64.0)
kconfig (5.63.0 -> 5.64.0)
kconfigwidgets (5.63.0 -> 5.64.0)
kcontacts (5.63.0 -> 5.64.0)
kcoreaddons (5.63.0 -> 5.64.0)
kcrash (5.63.0 -> 5.64.0)
kdav (19.08.2 -> 19.08.3)
kdbusaddons (5.63.0 -> 5.64.0)
kdeclarative (5.63.0 -> 5.64.0)
kded (5.63.0 -> 5.64.0)
kdelibs4support (5.63.0 -> 5.64.0)
kdepim-addons (19.08.2 -> 19.08.3)
kdepim-apps-libs (19.08.2 -> 19.08.3)
kdepim-runtime (19.08.2 -> 19.08.3)
kdesu (5.63.0 -> 5.64.0)
kdialog (19.08.2 -> 19.08.3)
kdnssd-framework (5.63.0 -> 5.64.0)
kdoctools (5.63.0 -> 5.64.0)
kemoticons (5.63.0 -> 5.64.0)
kfilemetadata5 (5.63.0 -> 5.64.0)
kglobalaccel (5.63.0 -> 5.64.0)
kguiaddons (5.63.0 -> 5.64.0)
khelpcenter5 (19.08.2 -> 19.08.3)
kholidays (5.63.0 -> 5.64.0)
khtml (5.63.0 -> 5.64.0)
ki18n (5.63.0 -> 5.64.0)
kiconthemes (5.63.0 -> 5.64.0)
kidentitymanagement (19.08.2 -> 19.08.3)
kidletime (5.63.0 -> 5.64.0)
kimageformats (5.63.0 -> 5.64.0)
kimap (19.08.2 -> 19.08.3)
kinit (5.63.0 -> 5.64.0)
kio (5.63.0 -> 5.64.0)
kio-extras5 (19.08.2 -> 19.08.3)
kio_audiocd (19.08.2 -> 19.08.3)
kirigami2 (5.63.0 -> 5.64.0)
kitemmodels (5.63.0 -> 5.64.0)
kitemviews (5.63.0 -> 5.64.0)
kitinerary (19.08.2 -> 19.08.3)
kjobwidgets (5.63.0 -> 5.64.0)
kjs (5.63.0 -> 5.64.0)
kldap (19.08.2 -> 19.08.3)
kleopatra (19.08.2 -> 19.08.3)
kmag (19.08.2 -> 19.08.3)
kmail (19.08.2 -> 19.08.3)
kmail-account-wizard (19.08.2 -> 19.08.3)
kmailtransport (19.08.2 -> 19.08.3)
kmbox (19.08.2 -> 19.08.3)
kmime (19.08.2 -> 19.08.3)
kmousetool (19.08.2 -> 19.08.3)
knewstuff (5.63.0 -> 5.64.0)
knotes (19.08.2 -> 19.08.3)
knotifications (5.63.0 -> 5.64.0)
knotifyconfig (5.63.0 -> 5.64.0)
kompare (19.08.2 -> 19.08.3)
konsole (19.08.2 -> 19.08.3)
kontact (19.08.2 -> 19.08.3)
kontactinterface (19.08.2 -> 19.08.3)
kopete (19.08.2 -> 19.08.3)
korganizer (19.08.2 -> 19.08.3)
kpackage (5.63.0 -> 5.64.0)
kparts (5.63.0 -> 5.64.0)
kpeople5 (5.63.0 -> 5.64.0)
kpimtextedit (19.08.2 -> 19.08.3)
kpkpass (19.08.2 -> 19.08.3)
kplotting (5.63.0 -> 5.64.0)
kpty (5.63.0 -> 5.64.0)
kross (5.63.0 -> 5.64.0)
kruler (19.08.2 -> 19.08.3)
krunner (5.63.0 -> 5.64.0)
kservice (5.63.0 -> 5.64.0)
ksmtp (19.08.2 -> 19.08.3)
ktexteditor (5.63.0 -> 5.64.0)
ktextwidgets (5.63.0 -> 5.64.0)
ktnef (19.08.2 -> 19.08.3)
kunitconversion (5.63.0 -> 5.64.0)
kwallet (5.63.0 -> 5.64.0)
kwalletmanager5 (19.08.2 -> 19.08.3)
kwayland (5.63.0 -> 5.64.0)
kwidgetsaddons (5.63.0 -> 5.64.0)
kwindowsystem (5.63.0 -> 5.64.0)
kxmlgui (5.63.0 -> 5.64.0)
libKF5ModemManagerQt (5.63.0 -> 5.64.0)
libKF5NetworkManagerQt (5.63.0 -> 5.64.0)
libgravatar (19.08.2 -> 19.08.3)
libkcddb (19.08.2 -> 19.08.3)
libkcompactdisc (19.08.2 -> 19.08.3)
libkdcraw (19.08.2 -> 19.08.3)
libkdepim (19.08.2 -> 19.08.3)
libkexiv2 (19.08.2 -> 19.08.3)
libkgapi (19.08.2 -> 19.08.3)
libkipi (19.08.2 -> 19.08.3)
libkleo (19.08.2 -> 19.08.3)
libkomparediff2 (19.08.2 -> 19.08.3)
libksane (19.08.2 -> 19.08.3)
libksieve (19.08.2 -> 19.08.3)
mailcommon (19.08.2 -> 19.08.3)
mailimporter (19.08.2 -> 19.08.3)
messagelib (19.08.2 -> 19.08.3)
mobipocket (19.08.2 -> 19.08.3)
okular (19.08.2 -> 19.08.3)
oxygen5-icon-theme (5.63.0 -> 5.64.0)
pimcommon (19.08.2 -> 19.08.3)
plasma-framework (5.63.0 -> 5.64.0)
prison-qt5 (5.63.0 -> 5.64.0)
purpose (5.63.0 -> 5.64.0)
qemu
qemu-linux-user
qqc2-desktop-style (5.63.0 -> 5.64.0)
signon-kwallet-extension (19.08.2 -> 19.08.3)
solid (5.63.0 -> 5.64.0)
sonnet (5.63.0 -> 5.64.0)
spectacle (19.08.2 -> 19.08.3)
syndication (5.63.0 -> 5.64.0)
syntax-highlighting (5.63.0 -> 5.64.0)
threadweaver (5.63.0 -> 5.64.0)

=== Details ===

==== akonadi-calendar ====
Version update (19.08.2 -> 19.08.3)
Subpackages: akonadi-calendar-lang akonadi-plugin-calendar
libKF5AkonadiCalendar5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== akonadi-calendar-tools ====
Version update (19.08.2 -> 19.08.3)
Subpackages: akonadi-calendar-tools-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== akonadi-contact ====
Version update (19.08.2 -> 19.08.3)
Subpackages: akonadi-contact-lang akonadi-plugin-contacts libKF5AkonadiContact5
libKF5ContactEditor5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== akonadi-import-wizard ====
Version update (19.08.2 -> 19.08.3)
Subpackages: akonadi-import-wizard-lang libKPimImportWizard5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== akonadi-mime ====
Version update (19.08.2 -> 19.08.3)
Subpackages: akonadi-mime-lang akonadi-plugin-mime libKF5AkonadiMime5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== akonadi-notes ====
Version update (19.08.2 -> 19.08.3)
Subpackages: akonadi-notes-lang libKF5AkonadiNotes5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== akonadi-search ====
Version update (19.08.2 -> 19.08.3)
Subpackages: akonadi-search-lang libKF5AkonadiSearch

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== akonadi-server ====
Version update (19.08.2 -> 19.08.3)
Subpackages: akonadi-server-lang akonadi-server-sqlite libKF5AkonadiAgentBase5
libKF5AkonadiCore5 libKF5AkonadiPrivate5 libKF5AkonadiWidgets5 libKF5AkonadiXml5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== akregator ====
Version update (19.08.2 -> 19.08.3)
Subpackages: akregator-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== ark ====
Version update (19.08.2 -> 19.08.3)
Subpackages: ark-lang libkerfuffle19

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- Changes since 19.08.2:
* Prevent drops from non-local URLs (kde#409835)

==== attica-qt5 ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5Attica5

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Use ECMGenerateExportHeader to manage deprecated API better
* Add some std::move in setter functions

==== baloo5 ====
Version update (5.63.0 -> 5.64.0)
Subpackages: baloo5-file baloo5-file-lang baloo5-imports baloo5-imports-lang
baloo5-kioslaves baloo5-kioslaves-lang baloo5-tools baloo5-tools-lang
libKF5Baloo5 libKF5BalooEngine5 libKF5BalooEngine5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Make it compile against qt5.15
* Use ECMGenerateExportHeader to manage deprecated API better
* Use propertymap to store properties in Baloo::Result
* Add standalone conversion functions for PropertyMap to Json and vice versa
* Add a few const &
* [Database] Rework handling environment flags
* Replace recursion in FilteredDirIterator with loop iteration

==== baloo5-widgets ====
Version update (19.08.2 -> 19.08.3)
Subpackages: baloo5-widgets-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== bluez-qt ====
Version update (5.63.0 -> 5.64.0)
Subpackages: bluez-qt-imports bluez-qt-udev libKF5BluezQt6

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Use ECMGenerateExportHeader to manage deprecated API better

==== breeze5-icons ====
Version update (5.63.0 -> 5.64.0)

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Too many changes since 5.63.0, only listing bugfixes:
* Center-align the non-square 64px audio mimetype icons (kde#393550)
* Move colorful 32px help-about icon into actions (kde#396626)
* Improve draw icons (kde#399665)
* Use a more correct and appropriate visual metaphor for
"get hot new stuff" icon (kde#400500)
* Add edit-opacity icons (kde#408283)
* Icons for windy weather (kde#412718)

==== calendarsupport ====
Version update (19.08.2 -> 19.08.3)
Subpackages: calendarsupport-lang libKF5CalendarSupport5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== dolphin ====
Version update (19.08.2 -> 19.08.3)
Subpackages: dolphin-part dolphin-part-lang libdolphinvcs5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== dragonplayer ====
Version update (19.08.2 -> 19.08.3)
Subpackages: dragonplayer-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== eventviews ====
Version update (19.08.2 -> 19.08.3)
Subpackages: eventviews-lang libKF5EventViews5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- Changes since 19.08.2:
* month/monthscene.cpp - remove comma in year (in the title) (kde#412833)
- Dropped patches, now upstream:
* 0001-month-monthscene.cpp-remove-comma-in-year-in-the-tit.patch

==== frameworkintegration ====
Version update (5.63.0 -> 5.64.0)
Subpackages: frameworkintegration-plugin libKF5Style5

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Add standard icons to support to all entries in QDialogButtonBox
(kde#398973)
* ensure winId() not called on non-native widgets (kde#412675)

==== gnome-weather ====
Subpackages: gnome-shell-search-provider-gnome-weather gnome-weather-lang

- Stop using arch-specific libdir again (boo#1109687).

==== goffice ====
Version update (0.10.45 -> 0.10.46)
Subpackages: goffice-lang libgoffice-0_10-10

- Update to version 0.10.46:
+ Fix equations edition inside charts.
+ Fix legend contents for contour plots.
+ Add more functions to inspect formats.
+ Fix UTF-8 problem with format "mmmmm".

==== grantleetheme ====
Version update (19.08.2 -> 19.08.3)
Subpackages: grantleetheme-lang libKF5GrantleeTheme5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== gwenview5 ====
Version update (19.08.2 -> 19.08.3)
Subpackages: gwenview5-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== incidenceeditor ====
Version update (19.08.2 -> 19.08.3)
Subpackages: incidenceeditor-lang libKF5IncidenceEditor5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- Changes since 19.08.2:
* incidencealarm.cpp - allow double-click to edit an alarm (kde#412242)

==== kaccounts-integration ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kaccounts-integration-lang libkaccounts1

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kaccounts-providers ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kaccounts-providers-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kactivities-stats ====
Version update (5.63.0 -> 5.64.0)

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* tests: fix macos build failure
* Windows MSVC compile fix
* Add a utility accessor to get a QUrl from a ResultSet::Result

==== kactivities5 ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kactivities5-imports libKF5Activities5

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Fix minor issues found by EBN

==== kaddressbook ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kaddressbook-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kalarmcal ====
Version update (19.08.2 -> 19.08.3)
Subpackages: akonadi-plugin-kalarmcal kalarmcal-lang libKF5AlarmCalendar5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kamera ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kamera-lang kio_kamera

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== karchive ====
Version update (5.63.0 -> 5.64.0)

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Fix memory leak in KXzFilter::init
* Fix null pointer reference when extraction fails
* decodeBCJ2: Fix assert with broken files
* KXzFilter::Private: remove unused props
* K7Zip: Fix memory use in readAndDecodePackedStreams
* Use ECMGenerateExportHeader to manage deprecated API better

==== kate ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kate-lang kate-plugins

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- Changes since 19.08.2:
* ensure outer layout set
* try to avoid nested layouts that we don't need

==== kauth ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5Auth5 libKF5Auth5-lang libKF5AuthCore5

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- No code change since 5.63.0

==== kbookmarks ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5Bookmarks5 libKF5Bookmarks5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Use ECMGenerateExportHeader to manage deprecated API better

==== kcalc ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kcalc-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kcalendarcore ====
Version update (5.63.0 -> 5.64.0)

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Add libical version too
* Fix typo
* Use ECMGenerateExportHeader to manage deprecated API better
* Explicitly define the Journal copy ctor

==== kcalutils ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kcalutils-lang libKF5CalendarUtils5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kcharselect ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kcharselect-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kcmutils ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5KCMUtils5 libKF5KCMUtils5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Conditionally show navigation buttons in the header for multi-page KCMs
* don't use a custom header height (kde#404396)
* Port away from deprecated SmallIcon method
* add extra include
* Fix memory leak of KQuickAddons::ConfigModule objects (kde#412998)
* [KCModuleLoader] Show error when QML fails to load

==== kcodecs ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5Codecs5 libKF5Codecs5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Use ECMGenerateExportHeader to manage deprecated API better

==== kcolorchooser ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kcolorchooser-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kcompletion ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5Completion5 libKF5Completion5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Use ECMGenerateExportHeader to manage deprecated API better

==== kconfig ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kconf_update5 libKF5ConfigCore5 libKF5ConfigCore5-lang
libKF5ConfigGui5

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* These methods were adding in qt5.15
* kconfig_compiler: Move the KSharedConfig::Ptr when using them
* Make it compile against qt5.15 without deprecated method
* Use ECMGenerateExportHeader to manage deprecated API better
* Expose isImmutable to introspection (e.g. QML)
* Add convenience for defaults/dirty states to KCoreConfigSkeleton
* Make kconfig_compiler generate ctors with the optional parent arg
* Make preferences() a public function

==== kconfigwidgets ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5ConfigWidgets5 libKF5ConfigWidgets5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Use ECMGenerateExportHeader to manage deprecated API better
* Avoid overloading KCModule::changed

==== kcontacts ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kcontacts-lang libKF5Contacts5

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Fix typo
* Install translations

==== kcoreaddons ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kcoreaddons-lang libKF5CoreAddons5

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* These methods were adding in qt5.15
* Make it compile against qt5.15 without deprecated method
* KCoreAddons: make programIconName() available to KConfigWidgets and KXmlGui
* KProcessInfoList -- add proclist backend for FreeBSD
* Fix grammar
* Use ECMGenerateExportHeader to manage deprecated API better

==== kcrash ====
Version update (5.63.0 -> 5.64.0)

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- No code change since 5.63.0

==== kdav ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kdav-lang libKPimKDAV5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kdbusaddons ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kdbusaddons-tools libKF5DBusAddons5 libKF5DBusAddons5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- No code change since 5.63.0

==== kdeclarative ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kdeclarative-components libKF5CalendarEvents5 libKF5Declarative5
libKF5Declarative5-lang libKF5QuickAddons5

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Use compile time checked connect
* Make the settingChanged() slot protected.
* Get KQuickAddons::ConfigModule to expose if we're in the defaults state
* Grab the keyboard when KeySequenceItem is recording
* Add ManagedConfigModule
* Remove outdated comment about [$e] expansion
* Use ECMGenerateExportHeader to manage deprecated API better
* [ConfigModule] Expose mainUi component status and error string

==== kded ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kded-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- No code change since 5.63.0

==== kdelibs4support ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kdelibs4support-lang libKF5KDELibs4Support5

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* KLocale api docs: make it easier to find how to port code away from it

==== kdepim-addons ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kdepim-addons-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kdepim-apps-libs ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kdepim-apps-libs-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kdepim-runtime ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kdepim-runtime-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- Changes since 19.08.2:
* Prevent writing to calendar file if not in current KAlarm format

==== kdesu ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5Su5 libKF5Su5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Use ECMGenerateExportHeader to manage deprecated API better

==== kdialog ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kdialog-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kdnssd-framework ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5DNSSD5 libKF5DNSSD5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Use ECMGenerateExportHeader to manage deprecated API better

==== kdoctools ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kdoctools-lang libKF5DocTools5

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* man: use <arg> instead of <group>

==== kemoticons ====
Version update (5.63.0 -> 5.64.0)

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Use ECMGenerateExportHeader to manage deprecated API better

==== kfilemetadata5 ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kfilemetadata5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Use ECMGenerateExportHeader to manage deprecated API better
* Fix crash in writer collection and cleanup

==== kglobalaccel ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kglobalaccel5 libKF5GlobalAccel5 libKF5GlobalAccel5-lang
libKF5GlobalAccelPrivate5

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Use ECMGenerateExportHeader to manage deprecated API better

==== kguiaddons ====
Version update (5.63.0 -> 5.64.0)

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- No code change since 5.63.0

==== khelpcenter5 ====
Version update (19.08.2 -> 19.08.3)
Subpackages: khelpcenter5-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kholidays ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5Holidays5 libKF5Holidays5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- No code change since 5.63.0

==== khtml ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5KHtml5 libKF5KHtml5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Extend KHtmlView::print() to use a predefined QPrinter instance (kde#405011)

==== ki18n ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5I18n5 libKF5I18n5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Add KLocalizedString::untranslatedText
* Fix build with BUILD_WITH_QML=OFF and BUILD_TESTING=ON
* Use ECMGenerateExportHeader to manage deprecated API better
* Replace all qWarning and related calls with categorised logging

==== kiconthemes ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5IconThemes5 libKF5IconThemes5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Fix usage of the new deprecation macros for assignIconsToContextMenu
* Deprecate KIconTheme::assignIconsToContextMenu
* Use ECMGenerateExportHeader to manage deprecated API better

==== kidentitymanagement ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kidentitymanagement-lang libKF5IdentityManagement5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kidletime ====
Version update (5.63.0 -> 5.64.0)

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- No code change since 5.63.0

==== kimageformats ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kimageformats-eps

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Workaround crash in Qt due to -DQT_DISABLE_DEPRECATED_BEFORE=0x050d00

==== kimap ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kimap-lang libKF5IMAP5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kinit ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kinit-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Port away from deprecated KService::path()

==== kio ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kio-core kio-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Too many changes since 5.63.0, only listing bugfixes:
* Treat "application/x-ms-dos-executable" as executable on all platforms
(kde#412694)
- Drop kio-5.63.0-fix-depth-with-kdav.patch. Merged upstream.

==== kio-extras5 ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kio-extras5-lang libkioarchive5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- Changes since 19.08.2:
* fix password error condition handling of smb mount
* improve error reporting for when kpasswdserver is unreachable
- Add upstream patch to support building with newer libssh:
* 0001-make-the-libssh-finder-ensure-the-new-ssh-target-is-.patch

==== kio_audiocd ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kio_audiocd-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kirigami2 ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kirigami2-lang libKF5Kirigami2-5

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Too many changes since 5.63.0, only listing bugfixes:
* highlight on mouseover only when more than one page (kde#410673)

==== kitemmodels ====
Version update (5.63.0 -> 5.64.0)

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* autotests: check that mapFromSource returns invalid for unmapped columns.
* Use ECMGenerateExportHeader to manage deprecated API better

==== kitemviews ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5ItemViews5 libKF5ItemViews5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* [RFC] Unify style of new Kirigami.ListSectionHeader and CategoryDrawer
* Use ECMGenerateExportHeader to manage deprecated API better

==== kitinerary ====
Version update (19.08.2 -> 19.08.3)
Subpackages: libKPimItinerary5 libKPimItinerary5-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- Changes since 19.08.2:
* Better end time default for restaurant reservations without an end time
* Fix compatibility with Poppler 0.82

==== kjobwidgets ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5JobWidgets5 libKF5JobWidgets5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- No code change since 5.63.0

==== kjs ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5JS5 libKF5JSApi5

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Better message for String.prototype.repeat(count) range errors.
* Simplify parsing of numeric literals.
* Parse JS binary literals.
* Detect truncated hex and octal literals.
* Support new standard way of specifying octal literals.
* Collection of regression tests taken from khtmltests repository.

==== kldap ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kldap-lang libKF5Ldap5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kleopatra ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kleopatra-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kmag ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kmag-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kmail ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kmail-application-icons kmail-lang ktnef

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- Changes since 19.08.2:
* Fix Bug 412895 - Attachment detector should not trigger while saving as
draft (kde#412895)

==== kmail-account-wizard ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kmail-account-wizard-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kmailtransport ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kmailtransport-lang libKF5MailTransport5
libKF5MailTransportAkonadi5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kmbox ====
Version update (19.08.2 -> 19.08.3)

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kmime ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kmime-lang libKF5Mime5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kmousetool ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kmousetool-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== knewstuff ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5NewStuff5 libKF5NewStuff5-lang libKF5NewStuffCore5

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Ensure that the changedEntries property is correctly propagated
* Fix KNSCore::Cache fetching when initialising Engine (kde#408716)
* Use ECMGenerateExportHeader to manage deprecated API better

==== knotes ====
Version update (19.08.2 -> 19.08.3)
Subpackages: knotes-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== knotifications ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5Notifications5 libKF5Notifications5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* [KStatusNotifierItem] Allow left click when menu is null
* Remove Growl support
* Add and enable Notification Center support in macOS

==== knotifyconfig ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5NotifyConfig5 libKF5NotifyConfig5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- No code change since 5.63.0

==== kompare ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kompare-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== konsole ====
Version update (19.08.2 -> 19.08.3)
Subpackages: konsole-part konsole-part-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- Changes since 19.08.2:
* Fix scrollbar position (kde#412348)

==== kontact ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kontact-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kontactinterface ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kontactinterface-lang libKF5KontactInterface5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kopete ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kopete-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- Changes since 19.08.2:
* libiris: Stop using qt_wrap_cpp()
* Fix missing parentheses around macro

==== korganizer ====
Version update (19.08.2 -> 19.08.3)
Subpackages: korganizer-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- Changes since 19.08.2:
* NavBar: Use standaloneMonthName instead of monthName
* Make Get New Stuff work again

==== kpackage ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kpackage-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Use ECMGenerateExportHeader to manage deprecated API better

==== kparts ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5Parts5 libKF5Parts5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Use ECMGenerateExportHeader to manage deprecated API better

==== kpeople5 ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kpeople5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Unbreak build: limit DISABLE_DEPRECATED for KService to < 5.0
* Port away from deprecated KF5 API.

==== kpimtextedit ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kpimtextedit-lang libKF5PimTextEdit5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kpkpass ====
Version update (19.08.2 -> 19.08.3)
Subpackages: libKPimPkPass5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kplotting ====
Version update (5.63.0 -> 5.64.0)

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- No code change since 5.63.0

==== kpty ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5Pty5 libKF5Pty5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- No code change since 5.63.0

==== kross ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kross-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- No code change since 5.63.0

==== kruler ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kruler-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== krunner ====
Version update (5.63.0 -> 5.64.0)

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- No code change since 5.63.0

==== kservice ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kservice-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Theses methods were adding in qt5.15
* Make it compile against qt5.15 without deprecated method
* KService: fix kded compilation with
-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x053f00
* Use ECMGenerateExportHeader to manage deprecated API better

==== ksmtp ====
Version update (19.08.2 -> 19.08.3)
Subpackages: ksmtp-lang libKPimSMTP5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== ktexteditor ====
Version update (5.63.0 -> 5.64.0)
Subpackages: ktexteditor-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Too many changes since 5.63.0, only listing bugfixes:
* fix crash (kde#413474)
* add missing s (kde#413158)
- Drop 0001-fix-crash-in-variableexpansionhelpers.patch. Merged upstream.

==== ktextwidgets ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5TextWidgets5 libKF5TextWidgets5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Remove call to no longer needed KIconTheme::assignIconsToContextMenu
* Use ECMGenerateExportHeader to manage deprecated API better

==== ktnef ====
Version update (19.08.2 -> 19.08.3)
Subpackages: ktnef-lang libKF5Tnef5

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kunitconversion ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5UnitConversion5 libKF5UnitConversion5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- No code change since 5.63.0

==== kwallet ====
Version update (5.63.0 -> 5.64.0)
Subpackages: kwallet-tools kwallet-tools-lang kwalletd5 kwalletd5-lang
libKF5Wallet5 libkwalletbackend5-5

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Port away from KF5 deprecated API: use setWindowIcon

==== kwalletmanager5 ====
Version update (19.08.2 -> 19.08.3)
Subpackages: kwalletmanager5-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== kwayland ====
Version update (5.63.0 -> 5.64.0)

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* FakeInput: add support for keyboard key press and release
* Use ECMGenerateExportHeader to manage deprecated API better
* Fix non-integer scale copy on creation of OutputChangeSet

==== kwidgetsaddons ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5WidgetsAddons5 libKF5WidgetsAddons5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Set QT_DISABLE_DEPRECATED_BEFORE=0x050d00
* Use ECMGenerateExportHeader to manage deprecated API better

==== kwindowsystem ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5WindowSystem5 libKF5WindowSystem5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Set QT_DISABLE_DEPRECATED_BEFORE and others
* Use ECMGenerateExportHeader to manage deprecated API better

==== kxmlgui ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5XmlGui5 libKF5XmlGui5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* fix default shortcut detection
* Use ECMGenerateExportHeader to manage deprecated API better

==== libKF5ModemManagerQt ====
Version update (5.63.0 -> 5.64.0)

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- No code change since 5.63.0

==== libKF5NetworkManagerQt ====
Version update (5.63.0 -> 5.64.0)

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Add support for SAE authentication used by WPA3

==== libgravatar ====
Version update (19.08.2 -> 19.08.3)
Subpackages: libKF5Gravatar5 libgravatar-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== libkcddb ====
Version update (19.08.2 -> 19.08.3)
Subpackages: libKF5Cddb5 libkcddb-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== libkcompactdisc ====
Version update (19.08.2 -> 19.08.3)
Subpackages: libKF5CompactDisc5 libkcompactdisc-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== libkdcraw ====
Version update (19.08.2 -> 19.08.3)

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== libkdepim ====
Version update (19.08.2 -> 19.08.3)
Subpackages: libKF5Libkdepim5 libKF5LibkdepimAkonadi5 libkdepim-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== libkexiv2 ====
Version update (19.08.2 -> 19.08.3)

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== libkgapi ====
Version update (19.08.2 -> 19.08.3)
Subpackages: libKPimGAPICalendar5 libKPimGAPIContacts5 libKPimGAPICore5
libKPimGAPITasks5 libkgapi-lang sasl2-kdexoauth2

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== libkipi ====
Version update (19.08.2 -> 19.08.3)
Subpackages: libKF5Kipi32_0_0 libkipi-data

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== libkleo ====
Version update (19.08.2 -> 19.08.3)
Subpackages: libKF5Libkleo5 libkleo-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== libkomparediff2 ====
Version update (19.08.2 -> 19.08.3)
Subpackages: libkomparediff2-5 libkomparediff2-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== libksane ====
Version update (19.08.2 -> 19.08.3)
Subpackages: libKF5Sane5 libksane-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== libksieve ====
Version update (19.08.2 -> 19.08.3)
Subpackages: libksieve-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== mailcommon ====
Version update (19.08.2 -> 19.08.3)
Subpackages: libKF5MailCommon5 mailcommon-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== mailimporter ====
Version update (19.08.2 -> 19.08.3)
Subpackages: libKF5MailImporter5 libKF5MailImporterAkonadi5 mailimporter-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== messagelib ====
Version update (19.08.2 -> 19.08.3)
Subpackages: messagelib-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- Changes since 19.08.2:
* Fix search external reference

==== mobipocket ====
Version update (19.08.2 -> 19.08.3)

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== okular ====
Version update (19.08.2 -> 19.08.3)
Subpackages: okular-lang okular-spectre

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- Changes since 19.08.2:
* AnnotWindow: Always show creation time in local time (kde#413591)
* don't crash on nullptr pdfOptionsPage

==== oxygen5-icon-theme ====
Version update (5.63.0 -> 5.64.0)
Subpackages: oxygen5-icon-theme-large

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- No code change since 5.63.0

==== pimcommon ====
Version update (19.08.2 -> 19.08.3)
Subpackages: libKF5PimCommon5 libKF5PimCommonAkonadi5 pimcommon-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== plasma-framework ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5Plasma5 plasma-framework-components plasma-framework-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* map disabledTextColor to ColorScope
* add DisabledTextColor to Theme
* [PC3/button] Elide text always
* Improve panel options menu entries
* edit mode action
* Use ECMGenerateExportHeader to manage deprecated API better
* [icons/media.svg] Add 16 & 32px icons, update style
* [PlasmaComponents3] Fix checkable toolbutton background

==== prison-qt5 ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5Prison5 prison-qt5-imports

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Fix memory handling in datamatrix

==== purpose ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5Purpose5 libKF5PurposeWidgets5 purpose-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* autotests: simplify the code using job->exec().
* i18n: Add ellipsis to action items (X-Purpose-ActionDisplay)

==== qemu ====
Subpackages: qemu-arm qemu-block-curl qemu-block-dmg qemu-block-gluster
qemu-block-iscsi qemu-block-nfs qemu-block-rbd qemu-block-ssh qemu-extra
qemu-guest-agent qemu-ipxe qemu-ksm qemu-kvm qemu-lang qemu-ppc qemu-s390
qemu-seabios qemu-sgabios qemu-tools qemu-ui-curses qemu-ui-gtk qemu-ui-sdl
qemu-vgabios qemu-vhost-user-gpu qemu-x86

- Fix %arm builds

==== qemu-linux-user ====

- Fix %arm builds

==== qqc2-desktop-style ====
Version update (5.63.0 -> 5.64.0)

- Make sure the required libqt5-qtquickcontrols2 package is usable (kde#413829)
- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Do not assign combobox currentIndex as it breaks binding.
* docs: fix typo te -> the
* Fix warning when we're not hovering a Control
* Listen to the application style changing

==== signon-kwallet-extension ====
Version update (19.08.2 -> 19.08.3)

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2

==== solid ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5Solid5 libKF5Solid5-lang solid-imports solid-tools

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Use ECMGenerateExportHeader to manage deprecated API better
* Don't build static library when BUILD_TESTING=OFF

==== sonnet ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5SonnetCore5 libKF5SonnetCore5-lang libKF5SonnetUi5

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- No code change since 5.63.0

==== spectacle ====
Version update (19.08.2 -> 19.08.3)
Subpackages: spectacle-lang

- Update to 19.08.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.3.php
- Changes since 19.08.2:
* Make all buttons in the main window activatable with enter (kde#412184)

==== syndication ====
Version update (5.63.0 -> 5.64.0)

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- No code change since 5.63.0

==== syntax-highlighting ====
Version update (5.63.0 -> 5.64.0)
Subpackages: libKF5SyntaxHighlighting5 libKF5SyntaxHighlighting5-lang

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* VHDL: all keywords are insensitive (kde#413409)
* Add string escape characters to PowerShell syntax.
* Modelines: fix end of comment
* Meson: more built-in functions and add built-in member functions
* debchangelog: add Focal Fossa
* Updates from CMake 3.16
* use the new ECM provided clang-format target
* Meson: Add a comment section for comment/uncomment with Kate
* TypeScript: update grammar and fixes

==== threadweaver ====
Version update (5.63.0 -> 5.64.0)

- Update to 5.64.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
* Make it compile against qt5.15
* Use ECMGenerateExportHeader to manage deprecated API better


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >